ScanQueue
ScanQueue provides access to the scan queue resource. This can be used to get a list of current and past scan jobs. It can also be used to create new scan jobs from a third party scanning application.
{
"response": {
"Page": 4,
"PageCount": 20,
"RecordsSent": 1,
"RecordsFound": 20,
"ScanQueues": [
{
"UUID": "EF721415CA71974D9B724DDE84821B31",
"Job_Ref": "merc1 test",
"fk_device": "20E92FB565BBED45984BA530771B0A0D",
"Scan_Type": "COUNT",
"Creation_Date": "2016-12-07T11:32:39.000Z",
"Complete_Date": "2016-12-07T11:32:39.000Z",
"Scan_Note": "",
"Split": false,
"Status": 4,
"Box_Count": 1,
"Device_Code": "MER001",
"ScanItems": [
{
"UUID": "8AA1EB7B05F13D43A198223D36647D3A",
"fk_scan_queue": "EF721415CA71974D9B724DDE84821B31",
"Barcode": "9999999000706",
"Qty_Scanned": 2,
"Qty_Required": 0,
"SKU": "",
"Size": "",
"Item_Data": null
},
{
"UUID": "23303FCD919413458D65BC6365A3AA31",
"fk_scan_queue": "EF721415CA71974D9B724DDE84821B31",
"Barcode": "9999999000690",
"Qty_Scanned": 2,
"Qty_Required": 0,
"SKU": "",
"Size": "",
"Item_Data": null
}
]
}
]
}
}
ScanQueue Properties
| Property | Example | Description |
|---|---|---|
| UUID | "EF721415CA71974D9B724DDE84821B31" | Unique id of the scan queue |
| Job_Ref | "Test scan 1" | Customer id |
| fk_device | "20E92FB565BBED45984BA530771B0A0D" | ID of allocated device |
| Scan_Type | "COUNT" | Scan job type code |
| Creation_Date | "2017-01-16T00:00:00.000Z" | Scan job creation date |
| Complete_Date | "2017-01-17T00:00:00.000Z" | Scan job completion date |
| Scan_Note | "Test note" | Note for the scan job |
| Split | false | Split scan job indicator |
| Status | 4 | Status code |
| Box_Count | "1" | Number of boxes |
| Device_Code | "DEV001" | Name of the device the scan has been allocated to |
| ScanItems | [] | Array of scan items see scanitems resource |
ScanQueue Methods
GET /api/scanqueue
Returns all scan queues in the system with all published fields.
POST /api/scanqueue
Parses the POST body and create or updates a scan queue with items.